package com.csitc.framework.sms.config;

import com.csitc.framework.sms.core.client.SmsClientFactory;
import com.csitc.framework.sms.core.client.impl.SmsClientFactoryImpl;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;

/**
 * 短信配置类
 *
 * @author 隧道
 */
@AutoConfiguration
public class CloudSmsAutoConfiguration {

    @Bean
    public SmsClientFactory smsClientFactory() {
        return new SmsClientFactoryImpl();
    }

}
