package com.csitc.framework.sms.core.client.impl.debug;

import com.csitc.framework.common.exception.ErrorCode;
import com.csitc.framework.common.exception.enums.GlobalErrorCodeConstants;
import com.csitc.framework.sms.core.client.SmsCodeMapping;
import com.csitc.framework.sms.core.enums.SmsFrameworkErrorCodeConstants;

import java.util.Objects;

/**
 * 钉钉的 SmsCodeMapping 实现类
 *
 * @author 隧道
 */
public class DebugDingTalkCodeMapping implements SmsCodeMapping {

    @Override
    public ErrorCode apply(String apiCode) {
        return Objects.equals(apiCode, "0") ? GlobalErrorCodeConstants.SUCCESS : SmsFrameworkErrorCodeConstants.SMS_UNKNOWN;
    }

}
