package com.csitc.server.framework.web.config;

import com.csitc.framework.swagger.config.CloudSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 *
 */
@Configuration(proxyBeanMethods = false)
public class ServerWebConfiguration {

    /**
     * server 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi serverGroupedOpenApi() {
        return CloudSwaggerAutoConfiguration.buildGroupedOpenApi("server");
    }

}
