package com.csitc.framework.pay.config;

import com.csitc.framework.pay.core.client.PayClientFactory;
import com.csitc.framework.pay.core.client.impl.PayClientFactoryImpl;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;

/**
 * 支付配置类
 *
 * @author 隧道
 */
@AutoConfiguration
@EnableConfigurationProperties(PayProperties.class)
public class CloudPayAutoConfiguration {

    @Bean
    public PayClientFactory payClientFactory() {
        return new PayClientFactoryImpl();
    }

}
