package com.csitc.framework.file.config;

import com.csitc.framework.file.core.client.FileClientFactory;
import com.csitc.framework.file.core.client.FileClientFactoryImpl;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;

/**
 * 文件配置类
 *
 * @author 隧道
 */
@AutoConfiguration
public class CloudFileAutoConfiguration {

    @Bean
    public FileClientFactory fileClientFactory() {
        return new FileClientFactoryImpl();
    }

}
