package com.csitc.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 文件 Response VO,不返回 content 字段，太大")
@Data
public class FileRespSimpleVO {

    @Schema(description = "原文件名", required = true, example = "cloud.jpg")
    private String name;

    @Schema(description = "文件 URL", required = true, example = "https://www.iocoder.cn/cloud.jpg")
    private String url;

}
